package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.B1;
import com.ruoyi.system.domain.B6;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface B6Mapper {

    /**
     * 查询所有
     * @return
     */
    List<B6> selectAll();

    public List<B6> selectListByInfo(B6 b6);

    int insertOne(B6 b6);

    int examineB6(B6 b6);

    int delB6(B6 b6);

    int weekdelB6(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);


    List<B6> selectB6ListByProjectIDAndFromTo(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);
    List<B6> selectB6ByUserIDAndFromTo(@Param("userId") String userId, @Param("from") String from, @Param("to") String to);

    /**
     * 新增表b6字段 `员工id`
     */
    void addUserIdColumn();

    /**
     * 批量更新
     * @param list
     */
    void updateList(List<B6> list);
}
